package ink.wgink.service.role.pojo.vos;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName: RoleUserAuthorizationVO
 * @Description: 角色用户授权
 * @Author: WangGeng
 * @Date: 2019/3/2 12:14 AM
 * @Version: 1.0
 **/
@ApiModel
public class RoleMenuVO {

    @ApiModelProperty(name = "menuIds", value = "菜单ID列表")
    private List<String> menuIds;

    public List<String> getMenuIds() {
        if (menuIds == null) {
            return new ArrayList<>();
        }
        return menuIds;
    }

    public void setMenuIds(List<String> menuIds) {
        this.menuIds = menuIds;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"menuIds\":")
                .append("\"").append(menuIds).append("\"");
        sb.append('}');
        return sb.toString();
    }
}
